@if (componentData$ | async; as componentData) {
  <div class="full-width full-height">
    <div class="full-width full-height p-r-15" style="overflow-y: auto">
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        @if (!componentData.iteration.shouldShowFavoriteDashboard) {
          <div class="flex-row flex-end">
            <button
              class="flex-fixed-size m-l-5"
              [attr.data-test-element-id]="'favorite-button'"
              nz-button
              [nzType]="'primary'"
              [nzSize]="'small'"
              nz-tooltip
              [nzTooltipTitle]="'sqtm-core.generic.label.favorite' | translate"
              (click)="displayFavoriteDashboard($event)"
            >
              <span>
                {{ 'sqtm-core.generic.label.favorite' | translate }}
              </span>
            </button>
            <ng-container
              [ngTemplateOutlet]="lastExecScopeFilter"
            ></ng-container>
          </div>
          <nz-collapse-panel [nzHeader]="cumulativeTitle" [nzActive]="true">
            <ng-template #cumulativeTitle>
              <div class="entity-view-collapse-panel-title">
                {{
                  'sqtm-core.campaign-workspace.iteration-page.statistics.blocks.cumulative'
                    | translate
                }}
              </div>
            </ng-template>
            @if (componentData.iteration.iterationStatisticsBundle) {
              <div class="full-width">
                @if (!campaignProgressionChartHasErrors(componentData)) {
                  <sqtm-app-campaign-advancement-chart
                    [campaignProgressionStatistics]="
                      iterationProgressionData$ | async
                    "
                  ></sqtm-app-campaign-advancement-chart>
                } @else {
                  <div
                    [attr.data-test-element-id]="
                      'iteration-scheduled-dates-error'
                    "
                    class="full-width flex-row"
                  >
                    <div>
                      {{
                        'sqtm-core.campaign-workspace.iteration-page.statistics.charts.cumulative.date-error'
                          | translate
                      }}
                    </div>
                  </div>
                }
              </div>
            } @else {
              <div class="full-width">
                <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
              </div>
            }
          </nz-collapse-panel>
          <nz-collapse-panel [nzHeader]="statisticsTitle" [nzActive]="true">
            <ng-template #statisticsTitle>
              <div class="entity-view-collapse-panel-title">
                {{
                  'sqtm-core.campaign-workspace.iteration-page.statistics.blocks.stats'
                    | translate
                }}
              </div>
            </ng-template>
            @if (componentData.iteration.iterationStatisticsBundle) {
              <div class="full-width">
                @if (
                  hasTestPlanItems(
                    componentData.iteration.iterationStatisticsBundle
                      .testCaseStatusStatistics
                  )
                ) {
                  <sqtm-app-campaign-statistics-charts-panel
                    [statistics]="
                      componentData.iteration.iterationStatisticsBundle
                    "
                    [disabledExecutionStatus]="
                      componentData.projectData.disabledExecutionStatus
                    "
                    [scope]="getScope(componentData)"
                    [lastExecutionScope]="
                      componentData.iteration.lastExecutionScope
                    "
                  ></sqtm-app-campaign-statistics-charts-panel>
                } @else {
                  <div
                    class="full-width flex-row"
                    [attr.data-test-element-id]="'empty-test-plan-error'"
                  >
                    {{
                      'sqtm-core.campaign-workspace.campaign-page.statistics.charts.no-test-plan-items.campaign'
                        | translate
                    }}
                  </div>
                }
              </div>
            } @else {
              <div class="full-width">
                <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
              </div>
            }
          </nz-collapse-panel>
          <nz-collapse-panel [nzHeader]="inventoryTitle" [nzActive]="true">
            <ng-template #inventoryTitle>
              <div class="entity-view-collapse-panel-title">
                {{
                  'sqtm-core.campaign-workspace.iteration-page.statistics.blocks.inventory'
                    | translate
                }}
              </div>
            </ng-template>
            @if (componentData.iteration.iterationStatisticsBundle) {
              <div class="full-width">
                <sqtm-app-iteration-inventory
                  [inventory]="
                    componentData.iteration.iterationStatisticsBundle
                      .testsuiteTestInventoryStatisticsList
                  "
                  [disabledExecutionStatus]="
                    componentData.projectData.disabledExecutionStatus
                  "
                ></sqtm-app-iteration-inventory>
              </div>
            } @else {
              <div class="full-width">
                <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
              </div>
            }
          </nz-collapse-panel>
        } @else {
          <nz-collapse-panel
            [nzHeader]="favoriteDashboardTitle"
            [nzActive]="true"
            [nzExtra]="defaultButton"
          >
            <ng-template #defaultButton class="flex-row flex-end">
              <button
                class="flex-fixed-size m-l-5"
                [attr.data-test-element-id]="'default-button'"
                nz-button
                [nzType]="'primary'"
                [nzSize]="'small'"
                nz-tooltip
                [nzTooltipTitle]="'sqtm-core.generic.label.default' | translate"
                (click)="displayDefaultDashboard($event)"
              >
                {{ 'sqtm-core.generic.label.default' | translate }}
              </button>
              <ng-container
                [ngTemplateOutlet]="lastExecScopeFilter"
              ></ng-container>
            </ng-template>
            <ng-template #favoriteDashboardTitle>
              <div class="entity-view-collapse-panel-title">
                @if (componentData.iteration.dashboard) {
                  {{ componentData.iteration.dashboard.name }}
                } @else {
                  <span>{{
                    'sqtm-core.generic.label.dashboard.title' | translate
                  }}</span>
                }
              </div>
            </ng-template>
            @if (
              componentData.iteration.dashboard &&
              componentData.iteration.canShowFavoriteDashboard
            ) {
              <div style="height: 84vh" class="full-width">
                @if (
                  componentData.iteration.dashboard.chartBindings.length !==
                    0 ||
                  componentData.iteration.dashboard.reportBindings.length !== 0
                ) {
                  <sqtm-app-custom-dashboard
                    [chartBindings]="
                      getChartBindings(componentData.iteration.dashboard)
                    "
                  ></sqtm-app-custom-dashboard>
                } @else {
                  <div style="height: 84vh; text-align: center">
                    <span style="font-weight: 600">
                      {{
                        'sqtm-core.custom-report-workspace.dashboard-view.empty-favorite.label'
                          | translate
                      }}
                    </span>
                  </div>
                }
              </div>
            } @else {
              <div style="height: 84vh; text-align: center">
                <span style="font-weight: 600">
                  {{
                    'sqtm-core.generic.workspace.messages.add-favorite-dashboard'
                      | translate
                  }}
                </span>
              </div>
            }
          </nz-collapse-panel>
        }
      </nz-collapse>
    </div>
  </div>
}

<ng-template #lastExecScopeFilter>
  @if (componentData$ | async; as componentData) {
    <span class="m-l-10">
      <sqtm-core-filter-icon-menu
        [isChecked]="$lastExecutionScope()"
        [checkBoxLabel]="
          'sqtm-core.campaign-workspace.statistics.last-exec-scope.message'
        "
        [helpTooltip]="
          'sqtm-core.campaign-workspace.statistics.last-exec-scope.tooltip'
        "
        (confirmEvent)="changeExtendedScope($event, componentData.iteration)"
      >
      </sqtm-core-filter-icon-menu>
    </span>
  }
</ng-template>
